Bug 1394576 - Review Request: golang-github-PuerkitoBio-purell - Tiny Go library to normalize URLs
Summary: Review Request: golang-github-PuerkitoBio-purell - Tiny Go library to normali...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1206883
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2016-11-13 19:49 UTC by Athos Ribeiro
Modified: 2017-04-10 16:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-10 16:02:10 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2016-11-13 19:49:15 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-PuerkitoBio-purell.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-PuerkitoBio-purell-1.0.0-1.src.rpm

Description:
Purell is a tiny Go library to normalize URLs. It returns a pure URL.
It is based on the wikipedia paper (URL_normalization) and the RFC 3986 document.

Fedora Account System Username: athoscr

Comment 3 Fabio Valentini 2017-03-14 11:28:11 UTC
Taking this review.

Comment 4 Fabio Valentini 2017-03-14 22:03:24 UTC
Initial comments:

1) You can remove the empty %if-%endif block in the -unit-test-devel package section (at lines 77-80).

2) You are simply disabling one of the tests - have you reported the failing test upstream? Maybe this can be fixed upstream so you can run all tests for this package.

3) What does the GOPATH definition in line 136 mean? I don't see the Godeps directory in the source tarball. Is this there by mistake?

4) You can use the following Source URL to avoid ugly hackery: https://%{provider_prefix}/archive/v%{version}/%{name}-%{version}.tar.gz

Comment 5 Athos Ribeiro 2017-03-15 01:23:53 UTC
1) Fixed

2 and 3 were changes from another version which I forgot to remove. Both are fixed now
4) Fixed

Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-PuerkitoBio-purell.spec

SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-PuerkitoBio-purell-1.1.0-4.fc25.src.rpm

Comment 6 Fabio Valentini 2017-03-15 13:53:33 UTC
Looks good to me now.

Comment 7 Fabio Valentini 2017-03-15 14:10:16 UTC
One additional nitpick, not a blocker but "nice to have": Please include the %commit and %shortcommit definitions produced by gofed (according to the used git tag) in the ".spec header" - this is used by automatic golang tooling for version tracking.

%global commit 0bcb03f4b4d0a9428594752bd2a3b9aa0a9d4bd4
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Comment 8 Athos Ribeiro 2017-03-15 14:33:01 UTC
OK! I will do that before building it.

Thank you for the review!

Comment 9 Gwyn Ciesla 2017-03-15 15:11:04 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-PuerkitoBio-purell

Comment 10 Fedora Update System 2017-04-06 01:47:10 UTC
golang-github-PuerkitoBio-purell-1.1.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ebaa73819

Comment 11 Fedora Update System 2017-04-06 22:23:00 UTC
golang-github-PuerkitoBio-purell-1.1.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ebaa73819

Comment 12 Fedora Update System 2017-04-10 16:02:10 UTC
golang-github-PuerkitoBio-purell-1.1.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.